library(fields)
data <- array(rnorm(12*90*10), c(leatime = 12, member = 10, lat = 90))
layout(matrix(1:14, 1, 14, byrow = TRUE))
valmax <- max(data)
valmin <- min(data)
col <- colorRampPalette(c("#2c7bb6","#abd9e9","#ffffbf","#fdae61","#d7191c"))(9)
for (i in 1:13) {

  if (i == 1) { 
    par(mar = c(2,2,5,1))
    plot.new()
    axis(side = 2, at = seq(0, 0.9, 1/5), labels = seq(0, 89, 90/5), line = -2)
  } else if (i > 1) {
    par(mar = c(2,1,5,1))
    image(x = 1:10, y = 0:89, data[i-1,,],
          ylab = '', yaxt = 'n', 
          col = col, zlim = c(valmin, valmax))
  }
}

plot.new()
image.plot(x = 1:10, y = 0:89, data[i-1,,], xlab='', ylab = '', yaxt = 'n',
           add = F, col = col, zlim = c(valmin, valmax), legend.only = T,
           legend.width = 10, legend.mar = 25)

image.plot(x = 1:10, y = 0:89, data[i,,], xlab='', ylab = '', yaxt = 'n',
               add = F, col = 'larry.colors', legend.only = T)

library("lattice")
levelplot(data[1,,], 
           col.regions=heat.colors(100))
